require File.expand_path(File.join(File.dirname(__FILE__), '..', 'spec_helper'))

describe HTTParty::Error do
  subject { described_class }

  its(:ancestors) { should include(StandardError) }

  describe HTTParty::UnsupportedFormat do
    subject { HTTParty::UnsupportedFormat }
    its(:ancestors) { should include(HTTParty::Error) }
  end
  
  describe HTTParty::UnsupportedURIScheme do
    subject { HTTParty::UnsupportedURIScheme }
    its(:ancestors) { should include(HTTParty::Error) }
  end

  describe HTTParty::ResponseError do
    subject { HTTParty::ResponseError }
    its(:ancestors) { should include(HTTParty::Error) }
  end

  describe HTTParty::RedirectionTooDeep do
    subject { HTTParty::RedirectionTooDeep }
    its(:ancestors) { should include(HTTParty::ResponseError) }
  end
end
